Docs

Sync

POST
/v1/sync/list

List full deployment records for manager operational loops. This endpoint is intentionally separate from the public deployments list, which returns lightweight UI rows.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to list full operational deployments

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/sync/list" \  -H "Content-Type: application/json" \  -d '{}'
{  "deployments": [    {      "id": "dep_0c29fq4a2yjb7kx3smwdgxlc",      "name": "acme-prod",      "publicSubdomain": "string",      "status": "pending",      "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",      "platform": "aws",      "basePlatform": "aws",      "region": "string",      "deploymentProtocolVersion": 1,      "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b",      "purpose": "application",      "environmentInfo": {        "accountId": "string",        "region": "string",        "platform": "aws"      },      "stackSettings": {        "compute": {          "pools": {            "property1": {              "failure_domains": {                "selectedFailureDomains": [                  "string"                ],                "spread": 0              },              "machine": "string",              "machines": 0,              "mode": "fixed"            },            "property2": {              "failure_domains": {                "selectedFailureDomains": [                  "string"                ],                "spread": 0              },              "machine": "string",              "machines": 0,              "mode": "fixed"            }          }        },        "deploymentModel": "push",        "domains": {          "customDomains": {            "property1": {              "certificate": {                "aws": {                  "certificateArn": "string"                },                "azure": {                  "keyVaultCertificateId": "string",                  "keyVaultResourceId": "string"                },                "gcp": {                  "certificateName": "string"                },                "kubernetes": {                  "tlsSecretRef": {                    "namespace": "string",                    "secretName": "string"                  }                }              },              "domain": "string"            },            "property2": {              "certificate": {                "aws": {                  "certificateArn": "string"                },                "azure": {                  "keyVaultCertificateId": "string",                  "keyVaultResourceId": "string"                },                "gcp": {                  "certificateName": "string"                },                "kubernetes": {                  "tlsSecretRef": {                    "namespace": "string",                    "secretName": "string"                  }                }              },              "domain": "string"            }          },          "publicEndpointTarget": {            "mode": "machineAddresses"          }        },        "externalBindings": {},        "heartbeats": "off",        "kubernetes": {          "cluster": {            "cloud": {              "accountId": "string",              "clusterId": "string",              "clusterName": "string",              "projectId": "string",              "region": "string",              "resourceGroup": "string",              "subscriptionId": "string"            },            "namespace": "string",            "ownership": "managed"          },          "exposure": {            "mode": "disabled"          }        },        "network": {          "type": "use-default"        },        "telemetry": "off",        "updates": "auto"      },      "stackState": {        "platform": "aws",        "resourcePrefix": "string",        "resources": {          "property1": {            "_internal": null,            "config": {              "id": "string",              "type": "string",              "property1": null,              "property2": null            },            "controllerPlatform": "aws",            "dependencies": [              {                "id": "string",                "type": "string"              }            ],            "error": {              "code": "string",              "context": null,              "hint": "string",              "httpStatusCode": 100,              "internal": true,              "message": "string",              "retryable": false,              "source": null            },            "lastFailedState": null,            "lifecycle": "frozen",            "outputs": {              "type": "string",              "property1": null,              "property2": null            },            "previousConfig": {              "id": "string",              "type": "string",              "property1": null,              "property2": null            },            "remoteBindingParams": null,            "retryAttempt": 0,            "status": "pending",            "type": "string"          },          "property2": {            "_internal": null,            "config": {              "id": "string",              "type": "string",              "property1": null,              "property2": null            },            "controllerPlatform": "aws",            "dependencies": [              {                "id": "string",                "type": "string"              }            ],            "error": {              "code": "string",              "context": null,              "hint": "string",              "httpStatusCode": 100,              "internal": true,              "message": "string",              "retryable": false,              "source": null            },            "lastFailedState": null,            "lifecycle": "frozen",            "outputs": {              "type": "string",              "property1": null,              "property2": null            },            "previousConfig": {              "id": "string",              "type": "string",              "property1": null,              "property2": null            },            "remoteBindingParams": null,            "retryAttempt": 0,            "status": "pending",            "type": "string"          }        }      },      "runtimeMetadata": {        "initialSetupAuthority": "importedHandoff",        "lastSyncedEnvVarsHash": "string",        "lastSyncedSecretNames": [          "string"        ],        "pendingPreparedStack": {          "id": "string",          "inputs": [            {              "default": {                "type": "string",                "value": "string"              },              "description": "string",              "env": [                {                  "name": "string",                  "targetResources": [                    "string"                  ],                  "type": "plain"                }              ],              "id": "string",              "kind": "string",              "label": "string",              "placeholder": "string",              "platforms": [                "aws"              ],              "providedBy": [                "developer"              ],              "required": true,              "validation": {                "format": "string",                "max": "string",                "maxItems": 0,                "maxLength": 0,                "min": "string",                "minItems": 0,                "minLength": 0,                "pattern": "string",                "values": [                  "string"                ]              }            }          ],          "permissions": {            "management": {              "extend": {                "property1": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ],                "property2": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ]              }            },            "profiles": {              "property1": {                "property1": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ],                "property2": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ]              },              "property2": {                "property1": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ],                "property2": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ]              }            }          },          "resources": {            "property1": {              "config": {                "id": "string",                "type": "string",                "property1": null,                "property2": null              },              "dependencies": [                {                  "id": "string",                  "type": "string"                }              ],              "enabledWhen": "string",              "lifecycle": "frozen",              "remoteAccess": true            },            "property2": {              "config": {                "id": "string",                "type": "string",                "property1": null,                "property2": null              },              "dependencies": [                {                  "id": "string",                  "type": "string"                }              ],              "enabledWhen": "string",              "lifecycle": "frozen",              "remoteAccess": true            }          },          "supportedPlatforms": [            "aws"          ]        },        "persistedGateAnswers": {          "property1": true,          "property2": true        },        "preparedStack": {          "id": "string",          "inputs": [            {              "default": {                "type": "string",                "value": "string"              },              "description": "string",              "env": [                {                  "name": "string",                  "targetResources": [                    "string"                  ],                  "type": "plain"                }              ],              "id": "string",              "kind": "string",              "label": "string",              "placeholder": "string",              "platforms": [                "aws"              ],              "providedBy": [                "developer"              ],              "required": true,              "validation": {                "format": "string",                "max": "string",                "maxItems": 0,                "maxLength": 0,                "min": "string",                "minItems": 0,                "minLength": 0,                "pattern": "string",                "values": [                  "string"                ]              }            }          ],          "permissions": {            "management": {              "extend": {                "property1": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ],                "property2": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ]              }            },            "profiles": {              "property1": {                "property1": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ],                "property2": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ]              },              "property2": {                "property1": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ],                "property2": [                  {                    "description": "string",                    "id": "string",                    "platforms": {                      "aws": [                        {                          "binding": {                            "resource": {                              "condition": {},                              "resources": []                            },                            "stack": {                              "condition": {},                              "resources": []                            }                          },                          "description": "string",                          "effect": "Allow",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "azure": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ],                      "gcp": [                        {                          "binding": {                            "resource": {},                            "stack": {}                          },                          "description": "string",                          "grant": {                            "actions": [                              null                            ],                            "dataActions": [                              null                            ],                            "permissions": [                              null                            ],                            "predefinedRoles": [                              null                            ],                            "residualPermissions": [                              null                            ]                          },                          "label": "string"                        }                      ]                    }                  }                ]              }            }          },          "resources": {            "property1": {              "config": {                "id": "string",                "type": "string",                "property1": null,                "property2": null              },              "dependencies": [                {                  "id": "string",                  "type": "string"                }              ],              "enabledWhen": "string",              "lifecycle": "frozen",              "remoteAccess": true            },            "property2": {              "config": {                "id": "string",                "type": "string",                "property1": null,                "property2": null              },              "dependencies": [                {                  "id": "string",                  "type": "string"                }              ],              "enabledWhen": "string",              "lifecycle": "frozen",              "remoteAccess": true            }          },          "supportedPlatforms": [            "aws"          ]        },        "registryAccessGranted": true,        "setupUpdateAuthorization": {          "baselineFrozenDigest": "string",          "nonce": "string",          "releaseId": "string",          "setupFingerprint": "string",          "setupFingerprintVersion": 0,          "setupTarget": "string",          "targetFrozenDigest": "string"        }      },      "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",      "desiredReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",      "pinnedReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",      "releaseChannel": "string",      "importSource": "cloudformation",      "setupMethod": "cloudformation",      "setupMetadata": {        "property1": null,        "property2": null      },      "setupTarget": "string",      "setupFingerprint": "string",      "setupFingerprintVersion": 1,      "operatorScope": "string",      "operatorPermission": "string",      "operatorVersion": "string",      "capabilities": [        {          "key": "string",          "state": "granted",          "detail": "string"        }      ],      "retryRequested": true,      "lastHeartbeatAt": "2019-08-24T14:15:22Z",      "error": {        "code": "string",        "context": null,        "hint": "string",        "httpStatusCode": 100,        "internal": true,        "message": "string",        "retryable": false,        "source": null      },      "updateState": {        "active": {          "id": "duop_0vtxpb1sw4sbcdwg2xo37q6",          "status": "queued",          "reasons": [            "configuration"          ],          "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",          "changedKeys": [            "string"          ],          "requestedAt": "2019-08-24T14:15:22Z",          "startedAt": "2019-08-24T14:15:22Z",          "completedAt": "2019-08-24T14:15:22Z"        },        "next": {          "id": "duop_0vtxpb1sw4sbcdwg2xo37q6",          "status": "queued",          "reasons": [            "configuration"          ],          "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",          "changedKeys": [            "string"          ],          "requestedAt": "2019-08-24T14:15:22Z",          "startedAt": "2019-08-24T14:15:22Z",          "completedAt": "2019-08-24T14:15:22Z"        },        "latest": {          "id": "duop_0vtxpb1sw4sbcdwg2xo37q6",          "status": "queued",          "reasons": [            "configuration"          ],          "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",          "changedKeys": [            "string"          ],          "requestedAt": "2019-08-24T14:15:22Z",          "startedAt": "2019-08-24T14:15:22Z",          "completedAt": "2019-08-24T14:15:22Z"        }      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "managerId": "mgr_enxscjrqiiu2lrc672hwwuc5",      "workspaceId": "ws_It13CUaGEhLLAB87simX0",      "userEnvironmentVariables": [        {          "name": "string",          "value": "string",          "type": "plain",          "targetResources": [            "string"          ]        }      ],      "managementConfig": {        "managingRoleArn": "string",        "platform": "aws"      },      "deploymentToken": "string",      "lockedBy": "string",      "lockedAt": "2019-08-24T14:15:22Z"    }  ]}
POST
/v1/sync/context

Get computed deployment state and configuration for a manager-side operation without acquiring the deployment reconciliation lock.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/sync/context" \  -H "Content-Type: application/json" \  -d '{    "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc"  }'
{  "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",  "projectId": "string",  "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b",  "setupMethod": "cloudformation",  "current": {    "currentRelease": {      "description": "string",      "releaseId": "string",      "stack": {        "id": "string",        "inputs": [          {            "default": {              "type": "string",              "value": "string"            },            "description": "string",            "env": [              {                "name": "string",                "targetResources": [                  "string"                ],                "type": "plain"              }            ],            "id": "string",            "kind": "string",            "label": "string",            "placeholder": "string",            "platforms": [              "aws"            ],            "providedBy": [              "developer"            ],            "required": true,            "validation": {              "format": "string",              "max": "string",              "maxItems": 0,              "maxLength": 0,              "min": "string",              "minItems": 0,              "minLength": 0,              "pattern": "string",              "values": [                "string"              ]            }          }        ],        "permissions": {          "management": {            "extend": {              "property1": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ]                  }                }              ],              "property2": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ]                  }                }              ]            }          },          "profiles": {            "property1": {              "property1": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ]                  }                }              ],              "property2": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ]                  }                }              ]            },            "property2": {              "property1": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ]                  }                }              ],              "property2": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ]                  }                }              ]            }          }        },        "resources": {          "property1": {            "config": {              "id": "string",              "type": "string",              "property1": null,              "property2": null            },            "dependencies": [              {                "id": "string",                "type": "string"              }            ],            "enabledWhen": "string",            "lifecycle": "frozen",            "remoteAccess": true          },          "property2": {            "config": {              "id": "string",              "type": "string",              "property1": null,              "property2": null            },            "dependencies": [              {                "id": "string",                "type": "string"              }            ],            "enabledWhen": "string",            "lifecycle": "frozen",            "remoteAccess": true          }        },        "supportedPlatforms": [          "aws"        ]      },      "version": "string"    },    "environmentInfo": {      "accountId": "string",      "region": "string",      "platform": "aws"    },    "error": {      "code": "string",      "context": null,      "hint": "string",      "httpStatusCode": 100,      "internal": true,      "message": "string",      "retryable": false,      "source": null    },    "platform": "aws",    "protocolVersion": 0,    "retryRequested": true,    "runtimeMetadata": {      "initialSetupAuthority": "importedHandoff",      "lastSyncedEnvVarsHash": "string",      "lastSyncedSecretNames": [        "string"      ],      "pendingPreparedStack": {        "id": "string",        "inputs": [          {            "default": {              "type": "string",              "value": "string"            },            "description": "string",            "env": [              {                "name": "string",                "targetResources": [                  "string"                ],                "type": "plain"              }            ],            "id": "string",            "kind": "string",            "label": "string",            "placeholder": "string",            "platforms": [              "aws"            ],            "providedBy": [              "developer"            ],            "required": true,            "validation": {              "format": "string",              "max": "string",              "maxItems": 0,              "maxLength": 0,              "min": "string",              "minItems": 0,              "minLength": 0,              "pattern": "string",              "values": [                "string"              ]            }          }        ],        "permissions": {          "management": {            "extend": {              "property1": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ]                  }                }              ],              "property2": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ]                  }                }              ]            }          },          "profiles": {            "property1": {              "property1": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ]                  }                }              ],              "property2": [                {                  "description": "string",                  "id": "string",                  "platforms": {                    "aws": [                      {                        "binding": {                          "resource": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          },                          "stack": {                            "condition": {                              "property1": {},                              "property2": {}                            },                            "resources": [                              null                            ]                          }                        },                        "description": "string",                        "effect": "Allow",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "azure": [                      {                        "binding": {                          "resource": {                            "scope": "string"                          },                          "stack": {                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [                            "string"                          ],                          "permissions": [                            "string"                          ],                          "predefinedRoles": [                            "string"                          ],                          "residualPermissions": [                            "string"                          ]                        },                        "label": "string"                      }                    ],                    "gcp": [                      {                        "binding": {                          "resource": {                            "condition": {},                            "scope": "string"                          },                          "stack": {                            "condition": {},                            "scope": "string"                          }                        },                        "description": "string",                        "grant": {                          "actions": [                            "string"                          ],                          "dataActions": [     
[...]
